Gtk::PrintContext Class Reference
Printing

A PrintContext encapsulates context information that is required when drawing pages for printing, such as the cairo context and important parameters like page size and resolution. More...

Inheritance diagram for Gtk::PrintContext:
[legend]

## Public Member Functions

virtual | ~PrintContext ()
GtkPrintContext* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkPrintContext* | gobj () const
| Provides access to the underlying C GObject. More...
GtkPrintContext* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
::Cairo::RefPtr< ::Cairo::Context > | get_cairo_context ()
| Obtains the cairo context that is associated with the Gtk::PrintContext. More...
::Cairo::RefPtr< const ::Cairo::Context > | get_cairo_context () const
| Obtains the cairo context that is associated with the Gtk::PrintContext. More...
Glib::RefPtr< PageSetup > | get_page_setup ()
| Obtains the Gtk::PageSetup that determines the page dimensions of the Gtk::PrintContext. More...
Glib::RefPtr< const PageSetup > | get_page_setup () const
| Obtains the Gtk::PageSetup that determines the page dimensions of the Gtk::PrintContext. More...
double | get_width () const
| Obtains the width of the Gtk::PrintContext, in pixels. More...
double | get_height () const
| Obtains the height of the Gtk::PrintContext, in pixels. More...
double | get_dpi_x () const
| Obtains the horizontal resolution of the Gtk::PrintContext, in dots per inch. More...
double | get_dpi_y () const
| Obtains the vertical resolution of the Gtk::PrintContext, in dots per inch. More...
bool | get_hard_margins (double& top, double& bottom, double&left, double&right) const
| Obtains the hardware printer margins of the Gtk::PrintContext, in units. More...
Glib::RefPtr< Pango::FontMap > | get_pango_fontmap ()
| Returns a Pango::FontMap that is suitable for use with the Gtk::PrintContext. More...
Glib::RefPtr< const Pango::FontMap > | get_pango_fontmap () const
| Returns a Pango::FontMap that is suitable for use with the Gtk::PrintContext. More...
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new Pango::Context that can be used with the Gtk::PrintContext. More...
Glib::RefPtr< Pango::Layout > | create_pango_layout ()
| Creates a new Pango::Layout that is suitable for use with the Gtk::PrintContext. More...
void | set_cairo_context (const ::Cairo::RefPtr< ::Cairo::Context >& cr, double dpi_x, double dpi_y)
| Sets a new cairo context on a print context. More...

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gtk::PrintContext > | wrap (GtkPrintContext* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A PrintContext encapsulates context information that is required when drawing pages for printing, such as the cairo context and important parameters like page size and resolution.

It also lets you easily create Pango::Layout and Pango::Context objects that match the font metrics of the cairo surface.

PrintContext objects gets passed to the begin-print, end-print, request-page-setup and draw-page signals on the PrintOperation.

Since gtkmm 2.10:

## Constructor & Destructor Documentation

virtual Gtk::PrintContext::~PrintContext | ( |  | ) |

virtual

## Member Function Documentation

Glib::RefPtr<Pango::Context> Gtk::PrintContext::create_pango_context | ( |  | ) |

Creates a new Pango::Context that can be used with the Gtk::PrintContext.

Since gtkmm 2.10:

Returns
  A new Pango context for context.

Glib::RefPtr<Pango::Layout> Gtk::PrintContext::create_pango_layout | ( |  | ) |

Creates a new Pango::Layout that is suitable for use with the Gtk::PrintContext.

Since gtkmm 2.10:

Returns
  A new Pango layout for context.

::Cairo::RefPtr< ::Cairo::Context> Gtk::PrintContext::get_cairo_context | ( |  | ) |

Obtains the cairo context that is associated with the Gtk::PrintContext.

Since gtkmm 2.10:

Returns
  The cairo context of context.

::Cairo::RefPtr<const ::Cairo::Context> Gtk::PrintContext::get_cairo_context | ( |  | ) | const

Obtains the cairo context that is associated with the Gtk::PrintContext.

Since gtkmm 2.10:

Returns
  The cairo context of context.

double Gtk::PrintContext::get_dpi_x | ( |  | ) | const

Obtains the horizontal resolution of the Gtk::PrintContext, in dots per inch.

Since gtkmm 2.10:

Returns
  The horizontal resolution of context.

double Gtk::PrintContext::get_dpi_y | ( |  | ) | const

Obtains the vertical resolution of the Gtk::PrintContext, in dots per inch.

Since gtkmm 2.10:

Returns
  The vertical resolution of context.

bool Gtk::PrintContext::get_hard_margins | ( | double & | top,
|  | double & | bottom,
|  | double & | left,
|  | double & | right
| ) |  | const

Obtains the hardware printer margins of the Gtk::PrintContext, in units.

Since gtkmm 2.20:

Parameters

  top | Top hardware printer margin.
  bottom | Bottom hardware printer margin.
  left | Left hardware printer margin.
  right | Right hardware printer margin.

Returns
  `true` if the hard margins were retrieved.

double Gtk::PrintContext::get_height | ( |  | ) | const

Obtains the height of the Gtk::PrintContext, in pixels.

Since gtkmm 2.10:

Returns
  The height of context.

Glib::RefPtr<PageSetup> Gtk::PrintContext::get_page_setup | ( |  | ) |

Obtains the Gtk::PageSetup that determines the page dimensions of the Gtk::PrintContext.

Since gtkmm 2.10:

Returns
  The page setup of context.

Glib::RefPtr<const PageSetup> Gtk::PrintContext::get_page_setup | ( |  | ) | const

Obtains the Gtk::PageSetup that determines the page dimensions of the Gtk::PrintContext.

Since gtkmm 2.10:

Returns
  The page setup of context.

Glib::RefPtr<Pango::FontMap> Gtk::PrintContext::get_pango_fontmap | ( |  | ) |

Returns a Pango::FontMap that is suitable for use with the Gtk::PrintContext.

Since gtkmm 2.10:

Returns
  The font map of context.

Glib::RefPtr<const Pango::FontMap> Gtk::PrintContext::get_pango_fontmap | ( |  | ) | const

Returns a Pango::FontMap that is suitable for use with the Gtk::PrintContext.

Since gtkmm 2.10:

Returns
  The font map of context.

static GType Gtk::PrintContext::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

double Gtk::PrintContext::get_width | ( |  | ) | const

Obtains the width of the Gtk::PrintContext, in pixels.

Since gtkmm 2.10:

Returns
  The width of context.

GtkPrintContext* Gtk::PrintContext::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GtkPrintContext* Gtk::PrintContext::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

GtkPrintContext* Gtk::PrintContext::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::PrintContext::set_cairo_context | ( | const ::Cairo::RefPtr< ::Cairo::Context > & | cr,
|  | double | dpi_x,
|  | double | dpi_y
| ) |  |

Sets a new cairo context on a print context.

This function is intended to be used when implementing an internal print preview, it is not needed for printing, since GTK+ itself creates a suitable cairo context in that case.

Since gtkmm 2.10:

Parameters

  cr | The cairo context.
  dpi_x | The horizontal resolution to use with cr.
  dpi_y | The vertical resolution to use with cr.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::PrintContext > wrap | ( | GtkPrintContext * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/printcontext.h